<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <form #searchForm="ngForm" fxLayout="row" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <mat-label>Código</mat-label>
            <input matInput type="text" placeholder="Código del parámetro" id="codigo" [(ngModel)]="search.codigo"
              name="codigo" #codigo="ngModel" (keyup)="applyFilter(search.codigo)">
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <mat-label>Nombre</mat-label>
            <input matInput type="text" placeholder="Nombre del parámetro" id="nombre" [(ngModel)]="search.nombre"
              name="nombre" #nombre="ngModel" (keyup)="applyFilter(search.nombre)">
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <mat-label>Grupo</mat-label>
            <select matNativeControl name="tipo" id="tipo" #tipo="ngModel" [(ngModel)]="search.grupo"
              (change)="applyFilter(search.grupo)">
              <option *ngFor="let tid of grupos" [value]="tid">
                {{tid}}
              </option>
            </select>
          </mat-form-field>
          <mat-form-field fxFlex="25" fxFlex.xs="50">
            <mat-label>Activo</mat-label>
            <select matNativeControl name="activo" id="activo" #activo="ngModel" [(ngModel)]="search.activo"
              (change)="applyFilter(search.activo)">
              <option *ngFor="let est of activos" [value]="est">
                {{est}}
              </option>
            </select>
          </mat-form-field>
        </form>
        <div class="responsive-table">
          <mat-table [dataSource]="dataSource" matSort>
            <!-- Acciones Column -->
            <ng-container matColumnDef="acciones">
              <mat-header-cell *matHeaderCellDef> Acciones </mat-header-cell>
              <mat-cell *matCellDef="let row" >
                <button mat-icon-button [routerLink]="['/catalogos/', row.id]">
                  <mat-icon>edit</mat-icon>
                </button>
                <button mat-icon-button (click)="openConfirm('Delete',row.id)">
                  <mat-icon>delete</mat-icon>
                </button>
              </mat-cell>
            </ng-container>
            <!-- Codigo Column -->
            <ng-container matColumnDef="codigo">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Código </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.codigo}} </mat-cell>
            </ng-container>
            <!-- Codigo Column -->
            <ng-container matColumnDef="grupo">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Grupo </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.grupo}} </mat-cell>
            </ng-container>
            <!-- Name Column -->
            <ng-container matColumnDef="nombre">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.nombre}} </mat-cell>
            </ng-container>
            <!-- Progress Column -->
            <ng-container matColumnDef="fotoNombre">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Foto </mat-header-cell>
              <mat-cell *matCellDef="let row">
                <img *ngIf="row.fotoNombre!==''" [src]="row.fotoNombre" />
              </mat-cell>
            </ng-container>
            <!-- Progress Column -->
            <ng-container matColumnDef="activo">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Activo </mat-header-cell>
              <mat-cell *matCellDef="let row"> {{row.activo}}</mat-cell>
            </ng-container>
            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;">
            </mat-row>
          </mat-table>
          <mat-paginator [pageSizeOptions]="[5, 90,5]"></mat-paginator>
        </div>
      </mat-card-content>
    </mat-card>
    <app-toolbar-button>
      <button mat-button routerLink="/catalogos/new" mat-flat-button color="primary">
        <mat-icon>add</mat-icon>
      </button>
    </app-toolbar-button>
  </div>
</div>
